package com.prolog.cs.biz.outbound.model.vo.check;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@ApiModel
@Data
public class InnerCurrentCheckVO implements Serializable {


    private static final long serialVersionUID = -3295571393374585055L;
    @ApiModelProperty(value = "当前复核的明细行ID")
    private List<String> pickTaskDId;

    @ApiModelProperty(value = "计划数量")
    private BigDecimal qty;

    @ApiModelProperty(value = "已拣货数量")
    private BigDecimal pickQty;

    @ApiModelProperty(value = "已检查数量，实际数量")
    private BigDecimal checkQty;


    private List<LotAndNum> lotAndNumList;

    public class LotAndNum {
        public LotAndNum() {
        }

        private String lotNo;
        private BigDecimal num;


        public String getLotNo() {
            return lotNo;
        }

        public void setLotNo(String lotNo) {
            this.lotNo = lotNo;
        }

        public BigDecimal getNum() {
            return num;
        }

        public void setNum(BigDecimal num) {
            this.num = num;
        }
    }
}

